org.springframework.cloud.dataflow.rest.resource

## Class StreamStatusResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<StreamStatusResource>
  - - org.springframework.cloud.dataflow.rest.resource.StreamStatusResource

-     public class StreamStatusResource
      extends org.springframework.hateoas.RepresentationModel<StreamStatusResource>

  Author:
    Christian Tzolov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamStatusResource.Page`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NO_APPS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamStatusResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.hateoas.CollectionModel<AppStatusResource>` | `getApplications()`
    `String` | `getName()`
    `String` | `getVersion()`
    `void` | `setApplications(org.springframework.hateoas.CollectionModel<AppStatusResource> applications)`
    `void` | `setName(String name)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_APPS

          public static final String NO_APPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StreamStatusResource

          public StreamStatusResource()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getVersion

          public String getVersion()

    - #### getApplications

          public org.springframework.hateoas.CollectionModel<AppStatusResource> getApplications()

    - #### setApplications

          public void setApplications(org.springframework.hateoas.CollectionModel<AppStatusResource> applications)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.